﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Diagrams.Core;
using Telerik.Windows.Controls.Diagrams;
using Telerik.Windows.Controls;

namespace WpfApplication1
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			StyleManager.ApplicationTheme = new Windows8Theme();
			InitializeComponent();
			this.BindGraphSource();
		}

		private void BindGraphSource()
		{
			GraphSource source = new GraphSource();

			OrgItem rootOne = new OrgItem();
			source.AddNode(rootOne);
			OrgItem next = rootOne;
			for (int i = 0; i < 6; i++)
			{
				OrgItem child = new OrgItem() ;
				source.AddNode(child);
				source.AddLink(new OrgLink(next, child));
				next = child;		
			}
			OrgItem random = new OrgItem();
			source.AddNode(random);
			source.AddLink(new OrgLink(source.InternalItems[2], random));
			 random = new OrgItem();
			source.AddNode(random);
			source.AddLink(new OrgLink(source.InternalItems[3], random));

			OrgItem rootTwo = new OrgItem();
			source.AddNode(rootTwo);
			OrgItem nextNexxt = rootTwo;
			for (int i = 0; i < 6; i++)
			{
				OrgItem child = new OrgItem();
				source.AddNode(child);
				source.AddLink(new OrgLink(nextNexxt, child));
				nextNexxt = child;
			}
			this.diagram.GraphSource = source;
		}

		private void RadButton_Click(object sender, RoutedEventArgs e)
		{
			this.PrepareAndLayout();
		}


		private void PrepareAndLayout()
		{
			SugiyamaSettings sugSettings = new SugiyamaSettings()
			{
				 HorizontalDistance = 30,
				  ComponentsGridWidth = 500,
				   Orientation = Telerik.Windows.Diagrams.Core.Orientation.Vertical
			};
			this.diagram.Layout(LayoutType.Sugiyama, sugSettings);
		}
		
	}
}
